{
  lib,
  config,
  pkgs,
  system,
  ...
}: let
  inherit (lib.snowfall.system) is-darwin;

  cfg = config.marleyos.appearance.base;
  inherit (config.marleyos) isDesktop;
in {
  options.marleyos.appearance.base.enable = lib.mkEnableOption "base";

  config = lib.mkIf cfg.enable {
    marleyos = {
      apps = {
        pinentry =
          if isDesktop
          then pkgs.pinentry-gtk2
          else pkgs.pinentry-curses;
      };
    };

    stylix = {
      iconTheme = {
        package = pkgs.kora-icon-theme;
        dark = "kora";
        light = "kora-light-panel";
      };

      fonts.sizes.terminal = lib.mkIf (is-darwin system) 14;
    };

    home.packages = with pkgs; [
      kora-icon-theme
    ];
  };
}
