{
  lib,
  system,
  ...
}: let
  inherit (lib.snowfall.system) is-linux;
in {
  # Anything in this folder should not include an enable/disable option. This is
  # the only folder that is always applied.
  config = {
    marleyos.my = {
      name = "marley";
      username = "punkfairie";
      fullName = "Marley Rae";
      email = "marley@punkfairie.net";
    };

    home.language.base = "en_US.UTF-8";

    programs.home-manager.enable = true;

    # Autostart wanted systemd services.
    systemd.user.startServices = lib.mkIf (is-linux system) true;
  };
}
