{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.bundles.desktop;

  inherit (lib.marleyos) enabled;
in {
  options.marleyos.bundles.desktop.enable = lib.mkEnableOption "desktop";

  config = lib.mkIf cfg.enable {
    marleyos = {
      isDesktop = true;

      appearance = {
        base = enabled;
        gtk = enabled;
        qt = enabled;
      };

      programs = {
        cli = enabled;
        tui = enabled;
        gui = enabled;
      };

      services = {
        # syncthing = enabled;
        udiskie = enabled;
      };
    };
  };
}
