{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.bundles.mac;

  inherit (lib.marleyos) enabled disabled;
in {
  options.marleyos.bundles.mac.enable = lib.mkEnableOption "mac";

  config = lib.mkIf cfg.enable {
    marleyos = {
      isDesktop = true;

      programs = {
        cli = enabled;
        journalctl = disabled;
        systemctl = disabled;

        tui = enabled;
        cava = disabled;
        ncmpcpp = disabled;

        wezterm = enabled;
      };
    };
  };
}
