{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.bundles.server;

  inherit (lib.marleyos) enabled disabled;
in {
  options.marleyos.bundles.server.enable = lib.mkEnableOption "server";

  config = lib.mkIf cfg.enable {
    marleyos = {
      isServer = true;

      programs = {
        cli = enabled;
        tui = enabled;

        neo = lib.mkForce disabled;
        rbw = lib.mkForce disabled;
        amfora = lib.mkForce disabled;
        cava = lib.mkForce disabled;
        ncmpcpp = lib.mkForce disabled;
      };
    };
  };
}
