{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.eza;
in {
  options.marleyos.programs.eza.enable = lib.mkEnableOption "eza";

  config = lib.mkIf cfg.enable {
    programs.eza = {
      enable = true;

      git = true;
      icons = "always";
      colors = "always";

      extraOptions = [
        "--all"
        "--sort=name"
        "--group-directories-first"
        "--header"
        "--group"
      ];
    };
  };
}
