{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.figlet;
in {
  options.marleyos.programs.figlet.enable = lib.mkEnableOption "figlet";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      marleyos.figlet-xero-fonts
    ];

    programs.fish.functions = {
      figlet = {
        wraps = "figlet";
        body =
          # fish
          ''
            command figlet -f "ANSI Shadow" $argv
          '';
      };
    };
  };
}
