{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.hyfetch;
in {
  options.marleyos.programs.hyfetch.enable = lib.mkEnableOption "hyfetch";

  imports = [
    ./neofetch.nix
  ];

  config = lib.mkIf cfg.enable {
    programs.hyfetch = {
      enable = true;

      settings = {
        preset = "lesbian";
        mode = "rgb";
        light_dark = "dark";
        lightness = 0.7;
        color_align = {
          mode = "horizontal";
          custom_colors = [];
          fore_back = null;
        };
        backend = "neofetch";
        args = null;
        distro = null;
        pride_month_shown = [];
        pride_month_disable = false;
      };
    };
  };
}
