{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.neo;
in {
  options.marleyos.programs.neo.enable = lib.mkEnableOption "neo";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      neo
    ];

    programs.fish.functions = {
      neo = {
        wraps = "neo";
        body =
          # fish
          ''
            command neo --charset=ascii $argv
          '';
      };
    };
  };
}
