{
  lib,
  config,
  ...
}: let
  inherit (lib) mkForce;

  cfg = config.marleyos.programs.starship;
in {
  config = lib.mkIf cfg.enable {
    programs.starship.settings = {
      aws.symbol = mkForce "  ";
      buf.symbol = mkForce " ";
      c.symbol = mkForce " ";
      conda.symbol = mkForce " ";
      crystal.symbol = mkForce " ";
      dart.symbol = mkForce " ";
      directory.read_only = mkForce " 󰌾";
      docker_context.symbol = mkForce " ";
      elixir.symbol = mkForce " ";
      elm.symbol = mkForce " ";
      fennel.symbol = mkForce " ";
      fossil_branch.symbol = mkForce " ";
      git_branch.symbol = mkForce " ";
      git_commit.tag_symbol = mkForce "  ";
      golang.symbol = mkForce " ";
      guix_shell.symbol = mkForce " ";
      haskell.symbol = mkForce " ";
      haxe.symbol = mkForce " ";
      hg_branch.symbol = mkForce " ";
      hostname.ssh_symbol = mkForce " ";
      java.symbol = mkForce " ";
      julia.symbol = mkForce " ";
      kotlin.symbol = mkForce " ";
      lua.symbol = mkForce " ";
      memory_usage.symbol = mkForce "󰍛 ";
      meson.symbol = mkForce "󰔷 ";
      nim.symbol = mkForce "󰆥 ";
      nix_shell.symbol = mkForce " ";
      nodejs.symbol = mkForce " ";
      ocaml.symbol = mkForce " ";
      os.symbols = {
        Alpine = mkForce " ";
        AlmaLinux = mkForce " ";
        Amazon = mkForce " ";
        Android = mkForce " ";
        Arch = mkForce " ";
        Artix = mkForce " ";
        CentOS = mkForce " ";
        Debian = mkForce " ";
        DragonFly = mkForce " ";
        Emscripten = mkForce " ";
        EndeavourOS = mkForce " ";
        Fedora = mkForce " ";
        FreeBSD = mkForce " ";
        Garuda = mkForce "󰛓 ";
        Gentoo = mkForce " ";
        HardenedBSD = mkForce "󰞌 ";
        Illumos = mkForce "󰈸 ";
        Kali = mkForce " ";
        Linux = mkForce " ";
        Mabox = mkForce " ";
        Macos = mkForce " ";
        Manjaro = mkForce " ";
        Mariner = mkForce " ";
        MidnightBSD = mkForce " ";
        Mint = mkForce " ";
        NetBSD = mkForce " ";
        NixOS = mkForce " ";
        OpenBSD = mkForce "󰈺 ";
        openSUSE = mkForce " ";
        OracleLinux = mkForce "󰌷 ";
        Pop = mkForce " ";
        Raspbian = mkForce " ";
        Redhat = mkForce " ";
        RedHatEnterprise = mkForce " ";
        RockyLinux = mkForce " ";
        Redox = mkForce "󰀘 ";
        Solus = mkForce "󰠳 ";
        SUSE = mkForce " ";
        Ubuntu = mkForce " ";
        Unknown = mkForce " ";
        Void = mkForce " ";
        Windows = mkForce "󰍲 ";
      };
      package.symbol = mkForce "󰏗 ";
      perl.symbol = mkForce " ";
      php.symbol = mkForce " ";
      pijul_channel.symbol = mkForce " ";
      python.symbol = mkForce " ";
      rlang.symbol = mkForce "󰟔 ";
      ruby.symbol = mkForce " ";
      rust.symbol = mkForce "󱘗 ";
      scala.symbol = mkForce " ";
      swift.symbol = mkForce " ";
      zig.symbol = mkForce " ";
      gradle.symbol = mkForce " ";
    };
  };
}
