{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.pidgin;
in {
  options.marleyos.programs.pidgin.enable = lib.mkEnableOption "pidgin";

  config = lib.mkIf cfg.enable {
    programs.pidgin = {
      enable = true;

      plugins = with pkgs.pidginPackages; [
        pidgin-window-merge
      ];
    };

    home.file = {
      ".purple/smileys/pandamotes".source = ./pandamotes;
      ".purple/smileys/pixelhead".source = ./pixelhead;
      ".purple/themes/hearty".source = ./hearty;
    };

    xsession.initExtra =
      # sh
      ''
        ${lib.getExe config.programs.pidgin.package} &
      '';

    wayland.windowManager.hyprland.settings.exec-once = [
      (lib.getExe config.programs.pidgin.package)
    ];
  };
}
