{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.neovim;
in {
  options.marleyos.programs.neovim.enable = lib.mkEnableOption "neovim";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      nvim
    ];

    home.sessionVariables = rec {
      EDITOR = "nvim";
      VISUAL = "${EDITOR}";
      SUDO_EDITOR = "${EDITOR}";
    };
  };
}
