{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.appearance.base;
in {
  options.marleyos.appearance.base.enable = lib.mkEnableOption "base";

  config = lib.mkIf cfg.enable {
    stylix = {
      enable = true;

      base16Scheme = "${pkgs.base16-schemes}/share/themes/rose-pine.yaml";
      override = {slug = "rose-pine";};

      image = ./wallpaper.png;

      fonts = {
        serif = {
          package = pkgs.eb-garamond;
          name = "EB Garamond";
        };
        sansSerif = {
          package = pkgs.dm-sans;
          name = "DeepMind Sans";
        };
        monospace = {
          package = pkgs.maple-mono-NF;
          name = "Maple Mono";
        };
        emoji = {
          package = pkgs.whatsapp-emoji-font;
          name = "Apple Color Emoji";
        };

        sizes = {
          terminal = 11;
        };
      };

      cursor = {
        package = pkgs.rose-pine-cursor;
        name = "BreezeX-RosePine-Linux";
      };
    };

    fonts = {
      enableDefaultPackages = true;

      packages = with pkgs; [
        corefonts
        noto-fonts
      ];
    };
  };
}
