{
  pkgs,
  config,
  lib,
  ...
}: {
  config = lib.mkIf (!config.marleyos.isServer) {
    security.rtkit.enable = true; # Used for pulseaudio.

    hardware.pulseaudio.enable = false;

    services = {
      pipewire = {
        enable = true;
        alsa.enable = true;
        pulse.enable = true;
      };

      printing.enable = true;
    };

    environment.systemPackages = [pkgs.pwvucontrol];
  };
}
