{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.steam;
in {
  options.marleyos.programs.steam.enable = lib.mkEnableOption "steam";

  config = lib.mkIf cfg.enable {
    programs.steam = {
      enable = true;

      extraCompatPackages = with pkgs; [
        proton-ge-bin
      ];

      protontricks.enable = true;
    };

    programs.gamemode.enable = true;
  };
}
