{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.services.prometheus;
in {
  options.marleyos.services.prometheus.enable = lib.mkEnableOption "prometheus";

  config = lib.mkIf cfg.enable {
    services.prometheus = {
      exporters = {
        node = {
          enable = true;
          port = 9002;
          openFirewall = true;
          enabledCollectors = ["systemd"];
        };
      };
    };
  };
}
