{
  runCommand,
  makeWrapper,
  cemu-ti,
  writeText,
}:
runCommand "CEmu-TI-84-Plus-CE-${cemu-ti.version}"
{
  nativeBuildInputs = [makeWrapper];
} ''
  mkdir -p $out/{bin,share/applications}
  makeWrapper ${cemu-ti}/bin/CEmu $out/bin/CEmu

  # Copy config
  cp ${./calc.cemu} $out/bin/calc.cemu

  # Write desktop entry
  cp ${writeText "$out/share/applications/CEmu.desktop"
    # desktop
    ''
      [Desktop Entry]
      Type=Application
      Name=CEmu
      Exec=CEmu
      Icon=CEmu
      Keywords=cemu;math;calc;
      NoDisplay=false
    ''} $out/share/applications/CEmu.desktop
''
