<!-- markdownlint-disable MD033 MD041 -->
<div align="center">
  <!-- markdownlint-disable-next-line MD013 -->
  <img width="200" src="./assets/lesbian-nix.svg" alt="The Nix logo recolored with the colors of the lesbian flag.">
  <h1>marleyOS</h1>
  <a href="https://codewith.babesonthe.net/punkfairie/nix/commits/branch/main">
    <img alt="Last Commit" src="https://img.shields.io/gitea/last-commit/punkfairie/nix?gitea_url=https%3A%2F%2Fcodewith.babesonthe.net&style=for-the-badge&logo=git&logoColor=d362a4&label=updated&color=d362a4">
  </a>
  <a href="https://lix.systems/">
    <img alt="Built With" src="https://img.shields.io/badge/built_with-lix-ff9a56?style=for-the-badge&logo=nixos&logoColor=ff9a56">
  </a>
  <br><br>
  <p>My dotfiles.</p>
</div>

## 🩷 About

This is my personal system configuration. You are welcome to use it, but I
wouldn't advise doing so. It's written to be publicly accessible but not
publicly released, therefore things are likely to break.

## 🥚 Inputs

- [Snowfall Lib](https://snowfall.org/guides/lib/quickstart/)
- [Home Manager](https://nix-community.github.io/home-manager/)
- [Stylix](https://codewith.babesonthe.net/punkfairie/rose-pine-nix)

## 🐣 Outputs

- _systems:_ System config
  - _systems/x86_64-linux/nyx:_ My main desktop, running NixOS.
  - _systems/aarch64-darwin/mairley:_ My Macbook Air 2022ish. Main laptop.
- _homes:_ Home manager config
  - _homes/x86_64-linux/marley@nyx:_ Home configuration for nyx.
  - _homes/aarch64-darwin/marley@mairley:_ Home configuration for mairley.
- _modules:_ Most config is done here. The file structure is pretty
  self-explanatory.
  - _modules/{home,nixos,darwin}/base:_ Anything in a base folder directly under
    a platform folder is always enabled and does not include a `<module>.enable`
    option.
    - _modules/{home,nixos,darwin}/\<category>/base:_ These are not subject to the
      above, they simply denote options that apply to the whole category.
- _packages_
  <!-- TODO: Make the package download the ROM? -->
  - _packages/CEmu-TI-84-Plus-CE:_ CEmu wrapped to include my config. I believe
    it still needs the ROM downloaded separately to function.
  - _packages/figlet-xero-fonts:_ Adding in [xero's custom fonts](https://github.com/xero/figlet-fonts/).
  - _packages/phpstorm-with-node:_ PHPStorm wrapped to give it access to NodeJS.

## 🫶 Credits

- [jakehamilton/config](https://github.com/jakehamilton/config) - the general
  structure of my config was heavily inspired by jakehamilton's.
- [the nix logo used in this readme](https://lix.systems/)
