{
  lib,
  config,
  ...
}: let
  inherit (lib.marleyos) enabled;
in {
  networking = {
    computerName = "mairley";
    hostName = "mairley";
    localHostName = "mairley";
  };

  marleyos = {
    appearance = {
      base = enabled;
    };
    programs = {
      fish = enabled;
      wezterm = enabled;
    };
  };

  users = {
    knownUsers = ["marley"];
    users."marley" = {
      # This is required for some reason.
      uid = 501;

      shell = config.programs.fish.package;
    };
  };

  system.stateVersion = 5;
}
