{lib, ...}: let
  inherit (lib.marleyos) enabled;
in {
  imports = [./hardware-configuration.nix];

  networking.hostName = "marleycentre";

  marleyos = {
    bundles.server = enabled;
  };

  users.users = {
    marley.openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAHOJsPkSBBw03QEFRtxnIdLF3OxNdU6T9LuklnkYfVw marley@nyx"

      # iphone
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIM+hMOzQBPmi6Rjw7fYvwn43w1Dgk+GEooGPnQz2RTcK Generated By Termius"
    ];

    root.openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBvLgGqr22sT1e+pvda5VDA92uCbVHbd61AjIQOA7pXZ marley@nyx"
    ];
  };

  networking.firewall = {
    allowedTCPPorts = [6881];
    allowedUDPPorts = [6881];
  };

  system.stateVersion = "24.05";
}
