{lib, ...}: let
  inherit (lib.marleyos) enabled;
in {
  imports = [./hardware-configuration.nix];

  networking.hostName = "marleynet";

  marleyos = {
    bundles.server = enabled;
    services.ddclient = enabled;
  };

  users.users = {
    marley.openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDcKsDGK8C5W6eRsJQSdAOTFVZnkKRWjnyn4iDR8zMi7 marley@nyx"

      # iphone
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIM+hMOzQBPmi6Rjw7fYvwn43w1Dgk+GEooGPnQz2RTcK Generated By Termius"
    ];

    root.openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPWzW2E6j4eLNPYTmxZGzOXHwlEdTATu6Q9sk/zJBAmE marley@nyx"
    ];
  };

  services.openssh.ports = [222];

  system.stateVersion = "24.05";
}
