{lib, ...}: let
  inherit (lib.marleyos) enabled;
in {
  imports = [./hardware-configuration.nix ./mounts.nix ./autorandr.nix];

  networking.hostName = "nyx";

  # For local dev.
  networking.firewall.allowedTCPPorts = [8080];

  marleyos = {
    hasNvidia = true;

    mounts.babeshare = enabled;

    bundles.desktop = enabled;

    wayland.niri = enabled;
    services = {
      ly = enabled;
    };
  };

  system.stateVersion = "24.05";
}
